STOFFStringStreamPrivate Class Reference

internal data of a STOFFStringStream More...

## Public Member Functions

| STOFFStringStreamPrivate (const unsigned char *data, unsigned dataSize)
| constructor
| ~STOFFStringStreamPrivate ()
| destructor
void | append (const unsigned char *data, unsigned dataSize)
| append some data at the end of the actual stream

## Public Attributes

std::vector< unsigned char > | m_buffer
| the stream buffer
long | m_offset
| the stream offset

## Private Member Functions

| STOFFStringStreamPrivate (const STOFFStringStreamPrivate &)
STOFFStringStreamPrivate & | operator= (const STOFFStringStreamPrivate &)

## Detailed Description

internal data of a STOFFStringStream

## Constructor & Destructor Documentation

## STOFFStringStreamPrivate() [1/2]

STOFFStringStreamPrivate::STOFFStringStreamPrivate | ( | const unsigned char * | data,
|  | unsigned | dataSize )

constructor

Referenced by operator=(), and STOFFStringStreamPrivate().

## ~STOFFStringStreamPrivate()

STOFFStringStreamPrivate::~STOFFStringStreamPrivate | ( |  | ) |

destructor

## STOFFStringStreamPrivate() [2/2]

STOFFStringStreamPrivate::STOFFStringStreamPrivate | ( | const STOFFStringStreamPrivate & |  | ) |

private

## Member Function Documentation

## append()

void STOFFStringStreamPrivate::append | ( | const unsigned char * | data,
|  | unsigned | dataSize )

append some data at the end of the actual stream

## operator=()

STOFFStringStreamPrivate & STOFFStringStreamPrivate::operator= | ( | const STOFFStringStreamPrivate & |  | ) |

private

## Member Data Documentation

## m_buffer

std::vector<unsigned char> STOFFStringStreamPrivate::m_buffer

the stream buffer

Referenced by append(), and STOFFStringStreamPrivate().

## m_offset

long STOFFStringStreamPrivate::m_offset

the stream offset

Referenced by STOFFStringStreamPrivate().

The documentation for this class was generated from the following file:

- STOFFStringStream.cxx